Backup System Level Dynamic Entity
POST /obp/v7.0.0/management/system-dynamic-entities/DYNAMIC_ENTITY_ID/backup
OBPv6.0.0-backupSystemDynamicEntity Roles: CanBackupDynamicEntityDefinition(per bank) Dynamic-Entity-ManageAPI
Create a backup copy of a system level DynamicEntity specified by DYNAMIC_ENTITY_ID.
This endpoint creates a backup of the dynamic entity definition and all its data records. The backup entity will be named with a _BAK suffix (e.g. my_entity_BAK). If a backup with that name already exists, _BAK2, _BAK3 etc. will be used.
The calling user will be granted CanGetDynamicEntity_{BackupEntityName} on the newly created backup entity.
For more information see here
Authentication is Required
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example success response
{
"dynamic_entity_id": "abc-123-def",
"entity_name": "my_entity_BAK",
"user_id": "user-456",
"has_personal_entity": false,
"has_public_access": false,
"has_community_access": false,
"personal_requires_role": false,
"use_row_level_access": false,
"auth_mode": "UserOnly",
"schema": {
"description": "Backup entity",
"required": [
"name"
],
"properties": {
"name": {
"type": "string",
"example": "test"
}
}
}
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.